using System.Text.Json.Serialization;

namespace DataSharing.Share.Dtos.Police110
{
    public class KnowledgeDto
    {
        /// <summary>
        /// 知识库ID
        /// </summary>
        [JsonPropertyName("id")]
        public string Id { get; set; }

        /// <summary>
        /// 标题
        /// </summary>
        [JsonPropertyName("title")]
        public string KName { get; set; }

        /// <summary>
        /// 知识创建时间
        /// </summary>
        [JsonPropertyName("createTime")]
        public string CreatDate { get; set; }
    }

    /// <summary>
    /// 知识内容
    /// </summary>
    public class KnowledgeContent
    {
        /// <summary>
        /// 知识内容
        /// </summary>
        [JsonPropertyName("content")]
        public string KContent { get; set; }
    }
}
